Subject: bug#25548: 25.1; Wrong Emacs version for Emacs 25.1.2 (?)

From: Drew Adams <[email-masked]>
Date: Fri, 27 Jan 2017 10:13:04 -0800 (PST)

> > > > How, from Emacs itself, does a user tell the difference between
> > > > 25.1-1 and 25.1-2?
> > >
> > > The value of system-configuration-options should be different.
> >
> > Show does a user or Lisp code see those options from _within_
> > Emacs?
> 
> With "M-: system-configuration-options RET".

I see this from `C-h v system-configuration-options":
"--without-dbus --without-compress-install 'CFLAGS=-O2 -static -g3'"

How does that tell you anything about the label "25.1.1",
which appears in the output of `M-x emacs-version' or
the label "25.1-2" that appears in the zip-file name?

> > > > How to know?
> > >
> > > See the node "Version Info" in the ELisp manual.
> >
> > The only thing there (that I can see) that remotely refers
> > to something like "25.1.2" is the undescribed, unexplained
> > _output_ of `(emacs-version)':
> >
> > "GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.16)
> >            ^^^^^^
> >         of 2015-06-01"
> 
> No, it also explains how to distinguish official releases from pretest
> versions.

That's not what I said.  It tells you nothing about what
"24.5.1" (or in the current case, "25.1.1") means in the
output of `emacs-version'.  And it tells you nothing about
what (in the current case) "25.1-2" means in the name of
the zip file.

> > > > Is all this supposed to be clear to users?
> > >
> > > This information is not necessarily of importance for users.  It is
> > > important in bug reports, which is why report-emacs-bug includes it.
> > > But inquisitive users can find the information in the Emacs manuals.
> >
> > I haven't seen where.
> 
> I've told you where.

No, I don't think you have.  See above.  I see no explanation
of the "25.1.1" nomenclature that appears in the output of
`emacs-version'.  And I see no explanation of the "25.1-2"
nomenclature that appears in the zip-file name.
 
> > > > At the mirrors where you download these things there is no
> > > > description/explanation.  (They don't even tell you what the
> > > > difference is between zips x86 and i86.)
> > >
> > > The explanations you are looking for are in the README file that is
> > > right near the zip archives.
> >
> > I don't think so.  That README is similar to (but also different
> > from) the README.W32 that is included in the zip file.  AFAICT,
> > neither file describes the 25.1-2 (or whatever other number)
> > that appears in the zip-file name.  Searching for "zip" in each
> > of those readme files does not find anything that talks about this.
> 
> It also says this:
> 
>   There are two binary distributions named
>   emacs-n-x86_64-w64-mingw32.zip and
>   macs-n-i686-w64-mingw32.zip. These are for 64-bit and 32-bit
>   machines respectively.
>
> You asked about 32-bit vs the 64-bit versions; that part
> answers the question.

Yes, but it does not answer the question about "25.1-2".

> > Can you point me to the passage that explains the 25.1-2 in the
> > zip name, which I've not been able to find?
> 
> That's the "-n-" part above.

Yes, n = 25.1-2, here.  But where is the explanation of it,
saying what n = 25.1-2 means?

> > Another question is why we have two different designations
> > for build 2 of release 25.1: "25.1.2" and "25.1-2".
> 
> No, we have only one: 25.1.2.  The other one is just the name of a
> file.

I think you (and I) meant 25.1.1, no?  It is apparently 25.1.1
that corresponds to 25.1-2 in the file name.  When I evaluate
`(emacs-version)' in the build from the zip file with name
25.1-2 it tells me:

GNU Emacs 25.1.1 (x86_64-w64-mingw32) of 2016-11-15

It says 25.1.1, not 25.1.2.

Still looking for an explanation of such numbering, in both
the output of `emacs-version' and the zip-file name.